Page MenuHomePhabricator

ContentTranslate is suggesting translation into non-supported languages (en-gb)
Closed, DuplicatePublic

Description

On enwiki pages, the ContentTranslation extension causes a prompt to appear in the languages sidebar, above any other languages present, suggesting the page can be translated to en-gb. (This also exists

In this case, the "Other projects sidebar" is also present, but I can replicate this using a testing account with no preferences/gadgets other than ContentTranslation enabled.

On clicking the link it launches ContentTranslate to ask for a page title, and then fails when it tries to open the page on en-gb.wikipedia.org.

This may mean either (or both) of:

  • it's not checking whether the suggested language exists as a project; and/or
  • the list of possible languages isn't sanity-checked to remove unwanted local variants like en-gb

... both of which are probably unintended.

I'm viewing this from the UK and I am guessing the prompt is either due to browser localisation or to IP geolocation, but it's not clear which.

Event Timeline

agray created this task.Sep 29 2015, 9:15 PM
agray raised the priority of this task from to Needs Triage.
agray updated the task description. (Show Details)
agray added a project: ContentTranslation.
agray added a subscriber: agray.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 9:15 PM
agray updated the task description. (Show Details)Sep 29 2015, 9:16 PM
agray set Security to None.
Amire80 triaged this task as Medium priority.Oct 1 2015, 4:05 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Amire80 closed this task as Resolved.Oct 2 2015, 7:12 AM
Amire80 claimed this task.
Amire80 added a subscriber: Amire80.

Verified.